Subject: bug#15099: 24.3.50; Box has no right border

From: "Fabrice Niessen" <[email-masked]>
Date: Thu, 22 Aug 2013 22:51:44 +0200

Eli Zaretskii wrote:
>> From: "Fabrice Niessen" <[email-masked]>
>> 
>> Here is a follow-up to bug #13134 with a minimal Emacs configuration file:
>> 
>> --8<---------------cut here---------------start------------->8---
>> (require 'org)
>> 
>> (setq org-ellipsis 'org-ellipsis) ;; face
>> 
>> (set-face-attribute 'org-ellipsis nil
>>                     :box '(:line-width 1 :color "#999999")
>>                     :foreground "#999999" :background "#FFF8C0")
>> --8<---------------cut here---------------end--------------->8---
>> 
>> Eval the above, and load any Org file. You'll get the following view:
>> 
>>     http://screencast.com/t/AqizjMBtDIoR
>
> org-ellipsis works by setting up a display table with the ellipsis,
> and setting the 'box' attribute of the face it gives to each character
> of the ellipsis.  But Emacs did not until now support that attribute
> on anything but buffer text and display strings, nothing else was ever
> coded.  That is why you got partially drawn boxes.
>
> I fixed this for display tables in trunk revision 113890.

It works much better (almost there), but I still see two problems:

- The "..." are underlined twice (two parallel lines). Why?

- When moving the "character cursor" (I mean: not the mouse) over the "...",
  the first dot becomes boxed on its own. Tab'ing multiple times (to expand
  and collapse the hidden region) fixes the box back.

See http://screencast.com/t/wY7eTBR7Gt.

Best regards,
Fabrice